#!/bin/sh
# Self-test
if test "`basename $0`" = ".config.sh"; then
	echo "Bye..."
	exit 0
fi

# General config stuff
THIS_DIR="/Homepages/MXChange"
BASEDIR="$HOME/Test/Projects"
EXT_DIR="mxchange_ext"
THEME_DIR="mxchange_themes"
UPLOAD_DIR="$BASEDIR/$EXT_DIR"
EXT="ext"
THEME="theme"
HTML="html"
CMS="cms"
HP="hp"

BASENAME="mxchange"
VER="0.3.0"
PRE=""

SMALL="small"
MEDIUM="medium"
MAX="max"

ZIP="/usr/bin/zip"
BZIP2="/usr/bin/bzip2"

# Target directory
TARGET=$BASEDIR/$BASENAME

# Archive stuff
if test "$PRE" != ""; then
	TAR_ARC="$BASENAME-$VER-pre$PRE.tar"
	ZIP_ARC="$BASENAME-$VER-pre$PRE.zip"
	TAR_SMALL=""
	ZIP_SMALL=""
	TAR_MEDIUM=""
	ZIP_MEDIUM=""
	TAR_MAX=""
	ZIP_MAX=""
 else
	TAR_ARC="$BASENAME-$VER.tar"
	ZIP_ARC="$BASENAME-$VER.zip"
	TAR_SMALL="$BASENAME-$SMALL-$VER.tar"
	ZIP_SMALL="$BASENAME-$SMALL-$VER.zip"
	TAR_MEDIUM="$BASENAME-$MEDIUM-$VER.tar"
	ZIP_MEDIUM="$BASENAME-$MEDIUM-$VER.zip"
	TAR_MAX="$BASENAME-$MAX-$VER.tar"
	ZIP_MAX="$BASENAME-$MAX-$VER.zip"
fi

# Files stuff which will be archived
CP_FILES="ChangeLog* README $HTML/ $HTML/DOCS/??/LICENSE*"

# Convert files
cd $BASEDIR
CONV_FILES="ChangeLog* README DOCS/??/* *.de *.en *.php *.css *.sql robots.txt .htaccess *.tpl DOCS/??/*"

# Files to be removed before any archiving steps
RM_FILES="$BASENAME-$VER/$HTML/*.zip $BASENAME-$VER/$HTML/temp/ $BASENAME-$VER/$HTML/upgrade???to*.sql"
RM_FILES="$RM_FILES $BASENAME-$VER/$HTML/inc/class.*.php $BASENAME-$VER/$HTML/.htaccess $BASENAME/$HTML/test.php"
RM_FILES="$RM_FILES $BASENAME-$VER/$HTML/inc/cache/*.cache $BASENAME/$HTML/inc/cache/*.cache $BASENAME/$HTML/*.log"
RM_FILES="$RM_FILES $BASENAME-$VER/$HTML/test.php $BASENAME-$VER/$HTML/*.log $BASENAME-$VER/$HTML/sql_fixes.sql"
RM_FILES="$RM_FILES $BASENAME-$VER/$HTML/jackpot.sql"

# Files to be remove before CVS update
RM_FILES_CVS="../$BASENAME-$VER/$HTML/inc/cache/*.cache ../$BASENAME-$CMS-$CMS_VER/$HTML/inc/cache/*.cache"
RM_FILES_CVS="$RM_FILES_CVS $HTML/inc/cache/*.cache ../$BASENAME-$HP-$HP_VER/$HTML/inc/cache/*.cache"

# Files to be added in extension archives
EXT_FILES="DOCS/LICENSE* DOCS/??/LICENSE* DOCS/??/EXTENSIONS.*"

# Files to be added in command archives
CMDS_FILES="DOCS/LICENSE* DOCS/??/LICENSE* DOCS/??/README_engine.*"

# Files to be added in theme archives
THEME_FILES="DOCS/LICENSE* DOCS/??/LICENSE* DOCS/??/README_themes*"

# Copy options and target directories
CP_OPTIONS="--parent -R --verbose --preserve=all"

# Importing CVS settings
. $THIS_DIR/.cvs.sh

if test "$CVS_ENABLE" = "auto"; then
	# Auto-detect CVS update
	if test "$1" = ""; then
		# Switch off CVS update
		CVS="no"
	 else
		# Switch on CVS update
		CVS="yes"
	fi
 else
	CVS="$CVS_ENABLE"
fi
cd - > /dev/null 2>&1
