<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/12/2008 *
 * ===================                          Last change: 23/12/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : debug.php                                        *
 * -------------------------------------------------------------------- *
 * Short description : Receiver script for debug.log files              *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Empfangsscript fuer debug.log Dateien            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2016 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Load security stuff here
require('inc/libs/security_functions.php');

// Init start time
$GLOBALS['__start_time'] = microtime(TRUE);

// Set module and fake "CSS mode"
$GLOBALS['__module']      = 'debug';
$GLOBALS['__output_mode'] = -1;

// Initialize application
require('inc/init.php');

// Redirect only to registration page when this script is installed
if ((isExtensionActive('debug')) && (!ifFatalErrorsDetected())) {
	// Is the request parameter set?
	if (isPostRequestElementSet('request')) {
		// Handle the request
		if (DEBUG_HANDLE_REQUEST(postRequestElement('request'))) {
			// Construct FQFN for the module
			$inc = sprintf('inc/debug/%s/request_%s.php',
				getConfig('debug_mode'),
				sqlEscapeString(postRequestElement('request'))
			);

			// Is the module there? Else we log it!
			if (isIncludeReadable($inc)) {
				// Load the requested module
				loadInclude($inc);
			} else {
				// Missing request files may happen while development
				DEBUG_ABUSE_LOG(__FILE__, __LINE__, 'request_404', postRequestElement('request'));
			}
		} else {
			// Unhandled request detected
			DEBUG_ABUSE_LOG(__FILE__, __LINE__, 'request_unhandled', postRequestElement('request'));
		}
	} else {
		// Empty request
		DEBUG_ABUSE_LOG(__FILE__, __LINE__, 'request_empty', '');
	}
} else {
	// Not installed or fatal errors
	DEBUG_ABUSE_LOG(__FILE__, __LINE__, 'request_fatal', getTotalFatalErrors());
} // END - if

// Really all done here... ;-)
doShutdown();

// [EOF]
?>
