<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 11/22/2005 *
 * ===================                          Last change: 11/22/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : bonus_mails.php                                  *
 * -------------------------------------------------------------------- *
 * Short description : Sends out reminder mails                         *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Versendet Erinnerungsmails                       *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2016 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} elseif ((!isExtensionActive('bonus')) || (isExtensionInstalledAndOlder('bonus', '0.9.2'))) {
	// Do not execute script on missing/out-dated extension ext-bonus
	return;
} elseif (!isHtmlOutputMode()) {
	// Do not execute script if not in HTML mode
	return;
}

// Create timemark from saved month
$mark = mktime(0, 0, 0, getLastMonthly(), getDay(), getYear());
$sql = ''; $mode = '';

// Shall I sent activation or deactivation mail?
$sql = "SELECT `d`.`userid`, `d`.`email` FROM `{?_MYSQL_PREFIX?}_user_data` AS `d` WHERE (`d`.`bonus_rallye_enable_notify` ";
switch (getBonusActive()) {
	case 'Y': // Active rallye is activated
		if (getBonusEnableNotify() == 'Y') {
			// Okay, let's check for member accounts
			$sql .= '= 0 OR (`d`.`bonus_rallye_enable_notify` > 0 AND `d`.`bonus_rallye_enable_notify` < `d`.`bonus_rallye_disable_notify`)';
			$mode = 'enable';
		} else {
			// Do not notify!
			$sql = '';
		}
		break;

	case 'N': // Active rallye is deactivated
		if (getBonusDisableNotify() == 'Y') {
			// Okay, let's check for member accounts
			$sql .= ' > 0 AND `d`.`bonus_rallye_disable_notify` < `d`.`bonus_rallye_enable_notify`';
			$mode = 'disable';
		} else {
			// Do not notify!
			$sql = '';
		}
		break;
} // END - switch

if (!empty($sql)) {
	// The SQL command needs to be finisched here (only confirmed accounts!)
	$sql .= ')' . runFilterChain('user_exclusion_sql', " AND `d`.`status`='CONFIRMED'") . ' ORDER BY `d`.`last_online` ASC';

	// Normal notification mails or bonus mails?
	$sentBonusMails = ((getBonusNotifyPoints() > 0) && ($mode == 'enable') && (isExtensionActive('bonus')));

	// Load message body for bonus mails
	$message = loadEmailTemplate('bonus_enable_notify_body', '', '{PER}userid{PER}');
	$receiver = ''; $userids = array();

	// Check for accounts to be notified
	$result_main = sqlQuery($sql, __FILE__, __LINE__);

	if (!ifSqlHasZeroNumRows($result_main)) {
		// Okay lets notify all users!
		while ($content = sqlFetchArray($result_main)) {
			// Update account
			sqlQueryEscaped("UPDATE
	`{?_MYSQL_PREFIX?}_user_data`
SET
	`bonus_rallye_%s_notify`=UNIX_TIMESTAMP()
WHERE
	`userid`=%s
LIMIT 1",
				array(
					$mode,
					$content['userid']
				), __FILE__, __LINE__);

			// Load email template and send it to the user!
			if ($sentBonusMails === TRUE) {
				// Add userid to queue
				array_push($userids, $content['userid']);
			} else {
				// Send normal notification mail to the members
				$message = loadEmailTemplate('bonus_' . $mode . '_notify', $content, $content['userid']);
				sendEmail($content['userid'], '{--MEMBER_BONUS_RALLYE_' . strtoupper($mode) . '_SUBJECT--}', $message);
			}
		} // END - while

		// Shall I send out bonus mails?
		if ($sentBonusMails === TRUE) {
			// Okay, make array to string
			$receiver = implode(';', $userids);

			// Prepare URL
			$url = 'modules.php?module=index&amp;what=login';

			// Insert mail
			addBonusMailToQueue('{--MEMBER_BONUS_RALLYE_' . strtoupper($mode) . '_SUBJECT--}', $message, $receiver, getBonusNotifyPoints(), getConfig('bonus_notify_wait'), $url, 0, 'normal', sqlNumRows($result_main));
		} // END - if
	} // END - if

	// Free memory
	sqlFreeResult($result_main);
} // END - if

//
?>
