<div align="center">
<div class="para_title">
	<strong class="big">Informationen f&uuml;r Werbenetzwerkbetreiber</strong>
</div>

<div class="para_title">
	<strong>Allgemeine Informationen</strong>
</div>

<div class="para">
	Das {?MAIN_TITLE?} bietet eine universelle API-Anbindung, die hier
	<strong>ext-network</strong> genannt wird. Mailtausch- oder
	Paidmail-Betreiber k&ouml;nnen mit dieser Erweiterung &uuml;ber APIs
	automatisiert z.B. Forced-Banner oder Paidmails einbinden - es wird
	deutlich mehr als diese zwei Werbearten unterst&uuml;tzt. Diese Erweiterung
	befindet sich zur Zeit in der aktiven Entwicklung. Damit ich diese
	fertigstellen kann, m&ouml;chte ich gerne m&ouml;glichst viele
	Werbenetzwerke aufnehmen, damit m&ouml;glichst viele Webmaster mein Script
	verwenden.
</div>

<div class="para_title">
	<strong>
		Welche Daten f&uuml;r welchen Zweck von Ihrem Werbenetzwerk
		ben&ouml;tigt werden
	</strong>
</div>

<div class="para">
	Da ich dieses Script nicht nur f&uuml;r mich, sondern <a rel="me"
	 href="{%url=modules.php?module=index&amp;what=git%}">&ouml;ffentlich
	zug&auml;nglich</a> unter der GNU GPL 2 entwickle, brauche ich neben einem
	Account bei Ihrem Werbenetzwerk auch noch viel mehr Daten:
	<ul>
		<li><strong>Zeichensatz:</strong> Dieses Script arbeitet
			vollst&auml;ndig auf UTF-8, die meisten Werbenetzwerke laufen auf
			ISO-8859-1, einige auch auf WINDOWS-1252.</li>

		<li><strong>Trennzeichen f&uuml;r Daten und Zeilen:</strong> Dies ist
			meistens gleich und ein senkrechter Strich (Pipe: &#124;).</li>

		<li><strong>HTTP-Abfragemethode:</strong> Ist meistens GET, besser
			f&uuml;r den Datenschutz w&auml;re POST, damit die Daten im Rumpf
			der HTTP-Anfrage stehen und nicht in der Adresszeile.</li>

		<li><strong>Freie API-Abfragen:</strong> Wie viele t&auml;gliche
			API-Abfragen kostenlos zur Verf&uuml;gung stehen.</li>

		<li><strong>Gewerbeschein n&ouml;tig:</strong> Einige Werbenetzwerke
			verlangen f&uuml;r die Auszahlung in &euro; oder gar f&uuml;r die
			Anmeldung einen Gewerbeschein.</li>
	</ul>
</div>

<div class="para">
	Dies sind erstmal die allgemeinen &quot;Grunddaten&quot; Ihres
	Werbenetzwerkes, die ich mindestens brauche. Zudem brauche ich dann noch
	mindestens eine ausf&uuml;hrliche API-Dokumentation (am besten als PDF)
	und/oder die nachfolgenden Daten:
	<ul>
		<li><strong>API, Ziel- und Banner-URL:</strong> Manchmal werden Ziel-
			und Banner-URL in der API-Ausgabe mitgeliefert, was nat&uuml;rlich
			auch kein Problem darstellt.</li>

		<li><strong>Zeiteinheit f&uuml;r Reloadsperre:</strong> Die meisten
			benutzen hier <u class="data">Stunden</u>, einige auch
			<u class="data">Sekunden</u>.</li>

		<li><strong>Textcodierung:</strong> Bei einigen Werbenetzwerken wird
			z.B. bei der Werbeart HTML-Mail der Werbetext mit BASE-64 kodiert,
			damit das HTML fehlerfrei &uuml;bertragen werden kann.</li>

		<li><strong>Alle Abfrageparameter:</strong> Nat&uuml;rlich muss die API
			Ihres Werbenetzwerkes auch mit Daten gef&uuml;ttert werden. Genaue
			Angaben sind hier unversichtbar (wie die Parameter heissen und
			wozu sie dienen).</li>

		<li><strong>Array-Index-&Uuml;bersetzung:</strong> Meistens gibt die
			API ein Array (Datenfeld) mit Pipes getrennt aus. Dabei hat jedes
			Array-Element eine Bedeutung (z.B. Kampagnen-Id, Verg&uuml;tung
			usw.). Auch hier sind fehlerfreie Angaben unverzichtbar.</li>

		<li><strong>Sub-Id Tracking:</strong> Unterst&uuml;tzt Ihr Werbenetzwerk
			Sub-Id Tracking (es muss zu 99,999% die Ziel-URL erweitert werden),
			so brauche ich auch hier genaue Angaben.</li>

		<li><strong>Visual-Pay-Check:</strong> VPC k&ouml;nnen einige
			Werbenetzwerke, ist Ihres eines davon, so brauche ich auch
			hierf&uuml;r Informationen.</li>

		<li><strong>Verg&uuml;tungscheck:</strong> Der so genannte V-Check
			dient zur Endkontrolle, ob das Werbenetzwerk die Verg&uuml;tung
			get&auml;tigt hat. Bitte nennen Sie hier auch alle Parameter.</li>

		<li><strong>Fehlercodes:</strong> Sowohl die API-Abfrage, als auch
			VCheck k&ouml;nnen Fehlercodes (oder Meldungen) ausgeben. Diese
			sind ebefalls wichtig, um Debugging seitens des Paidmailers
			durchf&uuml;hren zu k&ouml;nnen.</li>
	</ul>
</div>

<div class="para">
	<strong>Bitte denken Sie an Beispieldaten! Das hilft mir sehr gut bei der
	Entwicklung des Scriptes.</strong>
</div>

<div class="para_title">
	<strong>Entwicklungsphasen von ext-network</strong>
</div>

<div class="para">
	Da die Erweiterung sehr gross und komplex ist, brauche ich dazu mehrere
	(grobe) Schritte, um an das Ziel zu kommen. Erstmal w&auml;re es zu
	Programmierzwecken gut, wenn ich einer meiner Seiten bei Ihrem Werbenetzwerk
	anmelden kann, dann kann ich sofort <em>life</em> alles testen.
</div>

<div class="para">
	Die Entwicklung der API-Anbindung selbst teilt sich in 5 grosse Abschnitte
	ein:
	<ol>
		<li>APIs im Script aufnehmen (Daten ermitteln, siehe obere Informationen)</li>

		<li>API-Zugangsdaten abfragen (erledigt)</li>

		<li>APIs manuell abfragen (testweise; Alpha-Stadium)</li>

		<li>APIs per Cron-Job abfragen (noch kein Code vorhanden)</li>

		<li>Werbemittel an den passenden Stellen (z.B. Forced-Banner im
			Forced-Banner-Bereich des Mitgliedsbereich) einbinden, dabei
			eventuelle Ausschlussregeln (z.B. maximal X Forced-Banner pro
			Seite) beachten (kein Code vorhanden)</li>
	</ol>
</div>

<div class="para_title">
	<strong>Anmerkungen</strong>
</div>

<div class="para">
	Wie Sie nun sehr deutlich erkennen k&ouml;nnen brauche ich viele Daten und
	alles muss stimmen. Da hier Tippfehler von uns beiderseits nicht
	auszuschliessen sind, ist es immer gut, wenn ich mir Ihr Werbenetzwerk
	einmal <em>life</em> ansehen kann - inklusive API-Ausgaben.
</div>

<div class="para_title">
	<strong>&quot;Gegenleistung&quot; von mir</strong>
</div>

<div class="para">
	Da ich mit meinem Script allgemeinn&uuml;tzig (eher &quot;volunteer&quot;)
	t&auml;tig bin, gibt es f&uuml;r Ihre Arbeit keine Verg&uuml;tung - auch
	nicht in virtueller W&auml;hrung. Was ich Ihnen aber anbieten kann,
	m&ouml;chte ich Ihnen kurz erkl&auml;ren:
	<ul>
		<li>Nach der Aufnahme erhalten Sie <a rel="me" target="_blank"
			 href="http://forum.mxchange.org/topic-513.html">im Forum</a> einen
			Backlink durch meinen Referral-Link.</li>

		<li>Jeder neuer Webmaster, der mein Script nutzt, sieht im Adminbereich
			erneut meine Referral-Links. Sie erhalten also auch von dort aus
			Verlinkung Ihres Werbenetzwerkes - und das sogar zielgerichtet auf
			Webmaster.</li>

		<li>Jeder Webmaster tr&auml;gt bei der Eingabe seiner API-Zugangsdaten
			seinen Referral-Link ein. Dieser wird f&uuml;r seine G&auml;ste
			(wahlweise) und Mitglieder angezeigt. Dies ist bei einigen
			Paidmailern so Gang und Gebe.</li>
	</ul>
</div>

<div class="para_title">
	<strong>Mit mir Kontakt aufnehmen</strong>
</div>

<div class="para">
	Mir am liebsten ist es, wenn Sie <a title="Link zum Bug-Tracker" rel="me"
	 href="{%url=modules.php?module=index&amp;what=bug-tracker%}">im Bug-Tracker</a>
	sich einmal anmelden und ein neues Ticket aufmachen. Dann kann das gesamte
	Team Ihnen weiterhelfen. Alternativ geht es auch <a rel="me"
	 href="{%url=modules.php?module=index&amp;what=impressum%}">per Mail</a>.
</div>
</div>
